Search administrative units
Search for provinces, districts, communes, and villages by name
Authorization
ApiKeyAuth Your API key from https://developer.cambodiapostalcode.com. The TosKey gateway validates it and forwards a short-lived origin JWT; the origin never sees the key.
In: header
Query Parameters
Search query string
1 <= lengthLanguage for the response (en or km)
"en"Value in
- "en"
- "km"
Page number for pagination
1 <= value1Number of items per page
1 <= value <= 10010Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/search?q=Tonle+Basak&lang=en&page=1&pageSize=10"{ "statusCode": 200, "data": { "items": [ { "id": "635eae65-a991-6d67-a5c4-cf1829454018", "slug": "sangkat-tonle-basak", "name": "Sangkat Tonle Basak", "type": "commune", "postal_code_prefix": "12010100" } ], "pageNumber": 1, "pageSize": 10, "totalCount": 1, "totalPages": 1, "hasPreviousPage": false, "hasNextPage": false }, "metadata": { "correlationId": "01a0642a-d55f-70f8-b40f-2ce1c5c12035" }}